import type { IExpression, IPattern, Identifier, TemplateLiteral } from "@surface/expression";
import { SyntaxError } from "@surface/expression";
type ForLoopStatement = {
    left: IPattern | Identifier;
    operator: "of" | "in";
    right: IExpression;
};
export declare function getOffsetSyntaxError(statement: string, expression: string, error: SyntaxError): SyntaxError;
export declare function parseExpression(expression: string): IExpression;
export declare function parseInterpolation(expression: string): TemplateLiteral;
export declare function parseDestructuredPattern(expression: string): IPattern;
export declare function parseForLoopStatement(expression: string): ForLoopStatement;
export {};
